geos::operation::relateng::AdjacentEdgeLocator Class Reference

`#include <AdjacentEdgeLocator.h>`

## Public Member Functions

| AdjacentEdgeLocator (const Geometry *geom)
Location | locate (const CoordinateXY *p)
| AdjacentEdgeLocator (const AdjacentEdgeLocator &)=delete
AdjacentEdgeLocator & | operator= (const AdjacentEdgeLocator &)=delete

## Detailed Description

Determines the location for a point which is known to lie on at least one edge of a set of polygons. This provides the union-semantics for determining point location in a GeometryCollection, which may have polygons with adjacent edges which are effectively in the interior of the geometry. Note that it is also possible to have adjacent edges which lie on the boundary of the geometry (e.g. a polygon contained within another polygon with adjacent edges).

Author
  mdavis

## Constructor & Destructor Documentation

## AdjacentEdgeLocator()

geos::operation::relateng::AdjacentEdgeLocator::AdjacentEdgeLocator | ( | const AdjacentEdgeLocator & |  | ) |

delete

Disable copy construction and assignment. Apparently needed to make this class compile under MSVC. (See https://stackoverflow.com/q/29565299)

The documentation for this class was generated from the following file:

- AdjacentEdgeLocator.h